import 'package:flutter/material.dart';

class GridImage extends StatelessWidget {
  final String image;

  const GridImage({Key? key, required this.image}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {},
      child: ClipRRect(
        borderRadius: BorderRadius.circular(8.0),
        child: Image.asset(
          'assets/images/$image.png',
          fit: BoxFit.cover,
        ),
      ),
    );
  }
}
