import 'package:biopassid_flutter/src/biopassid_configurations/biopassapi/icao/result_check_icao_response.dart';

class RequirementsICAOResponse {
  ResultCheckICAOResponse? blurred;
  ResultCheckICAOResponse? lookingAway;
  ResultCheckICAOResponse? inkMarked;
  ResultCheckICAOResponse? unnaturalSkin;
  ResultCheckICAOResponse? tooDarkLight;
  ResultCheckICAOResponse? washedOut;
  ResultCheckICAOResponse? pixelation;
  ResultCheckICAOResponse? hairAcrossEyes;
  ResultCheckICAOResponse? eyesClosed;
  ResultCheckICAOResponse? variedBackground;
  ResultCheckICAOResponse? roll_Pitch_Yaw;
  ResultCheckICAOResponse? flashReflectionOnSkin;
  ResultCheckICAOResponse? redEyes;
  ResultCheckICAOResponse? shadowsBehindHead;
  ResultCheckICAOResponse? shadowsAcrossFace;
  ResultCheckICAOResponse? darkTintedLenses;
  ResultCheckICAOResponse? flashReflectionOnLenses;
  ResultCheckICAOResponse? framesTooHeavy;
  ResultCheckICAOResponse? framesCoveringEyes;
  ResultCheckICAOResponse? hat_Cap;
  ResultCheckICAOResponse? veilOverFace;
  ResultCheckICAOResponse? mouthOpen;
  ResultCheckICAOResponse? otherFaces;

  RequirementsICAOResponse({
    this.blurred,
    this.lookingAway,
    this.inkMarked,
    this.unnaturalSkin,
    this.tooDarkLight,
    this.washedOut,
    this.pixelation,
    this.hairAcrossEyes,
    this.eyesClosed,
    this.variedBackground,
    this.roll_Pitch_Yaw,
    this.flashReflectionOnSkin,
    this.redEyes,
    this.shadowsBehindHead,
    this.shadowsAcrossFace,
    this.darkTintedLenses,
    this.flashReflectionOnLenses,
    this.framesTooHeavy,
    this.framesCoveringEyes,
    this.hat_Cap,
    this.veilOverFace,
    this.mouthOpen,
    this.otherFaces,
  });

  factory RequirementsICAOResponse.fromMap(Map<String, dynamic> map) {
    return RequirementsICAOResponse(
      blurred: map['blurred'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['blurred'] as Map<Object?, Object?>))
          : null,
      lookingAway: map['lookingAway'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['lookingAway'] as Map<Object?, Object?>))
          : null,
      inkMarked: map['inkMarked'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['inkMarked'] as Map<Object?, Object?>))
          : null,
      unnaturalSkin: map['unnaturalSkin'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['unnaturalSkin'] as Map<Object?, Object?>))
          : null,
      tooDarkLight: map['tooDarkLight'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['tooDarkLight'] as Map<Object?, Object?>))
          : null,
      washedOut: map['washedOut'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['washedOut'] as Map<Object?, Object?>))
          : null,
      pixelation: map['pixelation'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['pixelation'] as Map<Object?, Object?>))
          : null,
      hairAcrossEyes: map['hairAcrossEyes'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['hairAcrossEyes'] as Map<Object?, Object?>))
          : null,
      eyesClosed: map['eyesClosed'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['eyesClosed'] as Map<Object?, Object?>))
          : null,
      variedBackground: map['variedBackground'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['variedBackground'] as Map<Object?, Object?>))
          : null,
      roll_Pitch_Yaw: map['roll_Pitch_Yaw'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['roll_Pitch_Yaw'] as Map<Object?, Object?>))
          : null,
      flashReflectionOnSkin: map['flashReflectionOnSkin'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['flashReflectionOnSkin'] as Map<Object?, Object?>))
          : null,
      redEyes: map['redEyes'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['redEyes'] as Map<Object?, Object?>))
          : null,
      shadowsBehindHead: map['shadowsBehindHead'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['shadowsBehindHead'] as Map<Object?, Object?>))
          : null,
      shadowsAcrossFace: map['shadowsAcrossFace'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['shadowsAcrossFace'] as Map<Object?, Object?>))
          : null,
      darkTintedLenses: map['darkTintedLenses'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['darkTintedLenses'] as Map<Object?, Object?>))
          : null,
      flashReflectionOnLenses: map['flashReflectionOnLenses'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['flashReflectionOnLenses'] as Map<Object?, Object?>))
          : null,
      framesTooHeavy: map['framesTooHeavy'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['framesTooHeavy'] as Map<Object?, Object?>))
          : null,
      framesCoveringEyes: map['framesCoveringEyes'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['framesCoveringEyes'] as Map<Object?, Object?>))
          : null,
      hat_Cap: map['hat_Cap'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['hat_Cap'] as Map<Object?, Object?>))
          : null,
      veilOverFace: map['veilOverFace'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['veilOverFace'] as Map<Object?, Object?>))
          : null,
      mouthOpen: map['mouthOpen'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['mouthOpen'] as Map<Object?, Object?>))
          : null,
      otherFaces: map['otherFaces'] != null
          ? ResultCheckICAOResponse.fromMap(Map<String, dynamic>.from(
              map['otherFaces'] as Map<Object?, Object?>))
          : null,
    );
  }

  @override
  String toString() {
    return 'RequirementsICAOResponse(blurred: $blurred, lookingAway: $lookingAway, inkMarked: $inkMarked, unnaturalSkin: $unnaturalSkin, tooDarkLight: $tooDarkLight, washedOut: $washedOut, pixelation: $pixelation, hairAcrossEyes: $hairAcrossEyes, eyesClosed: $eyesClosed, variedBackground: $variedBackground, roll_Pitch_Yaw: $roll_Pitch_Yaw, flashReflectionOnSkin: $flashReflectionOnSkin, redEyes: $redEyes, shadowsBehindHead: $shadowsBehindHead, shadowsAcrossFace: $shadowsAcrossFace, darkTintedLenses: $darkTintedLenses, flashReflectionOnLenses: $flashReflectionOnLenses, framesTooHeavy: $framesTooHeavy, framesCoveringEyes: $framesCoveringEyes, hat_Cap: $hat_Cap, veilOverFace: $veilOverFace, mouthOpen: $mouthOpen, otherFaces: $otherFaces)';
  }
}
