class FaceSpoofResponse {
  bool? success;
  String? result;
  bool? spoof;
  String? errorMessage;

  FaceSpoofResponse({
    this.success,
    this.result,
    this.spoof,
    this.errorMessage,
  });

  factory FaceSpoofResponse.fromMap(Map<String, dynamic> map) {
    return FaceSpoofResponse(
      success: map['success'],
      result: map['result'],
      spoof: map['spoof'],
      errorMessage: map['errorMessage'],
    );
  }

  @override
  String toString() {
    return 'FaceSpoofResponse(success: $success, result: $result, spoof: $spoof)';
  }
}
