import 'package:flutter/material.dart';

import 'package:biopassid_flutter/src/utils/color_util.dart';

class BioPassIDStyles {
  // final Color captureButtonColor;
  // final Color flipCameraColor;
  Color faceColor;
  Color overlayColor;
  Color flashButtonEnabledColor;

  BioPassIDStyles({
    // this.captureButtonColor = const Color(0xFFFFFFFF),
    // this.flipCameraColor = const Color(0xFFFFFFFF),
    this.faceColor = const Color(0xFFFFFFFF),
    this.overlayColor = const Color(0xCC000000),
    this.flashButtonEnabledColor = const Color(0xFFFFCC01),
  });

  Map<String, dynamic> toMap() {
    return {
      // 'captureButtonColor': captureButtonColor.toHex(),
      // 'flipCameraColor': flipCameraColor.toHex(),
      'faceColor': faceColor.toHex(),
      'overlayColor': overlayColor.toHex(),
      'flashButtonEnabledColor': flashButtonEnabledColor.toHex(),
    };
  }

  @override
  String toString() =>
      // 'BioPassIDStyles(captureButtonColor: $captureButtonColor, flipCameraColor: $flipCameraColor, faceColor: $faceColor, overlayColor: $overlayColor, flashButtonEnabledColor: $flashButtonEnabledColor)';
      'BioPassIDStyles(faceColor: $faceColor, overlayColor: $overlayColor, flashButtonEnabledColor: $flashButtonEnabledColor)';
}
