Pod::Spec.new do |spec|

  # ―――  Spec Metadata  ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.name         = "BioPassID"
  spec.version      = "0.1.4"
  spec.summary      = "BioPassID é uma biblioteca para autenticação por biometria"
  spec.homepage     = "https://github.com/yupistudios/BioPassID"

  # ―――  Spec License  ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.license      = { :type => "MIT", :file => "BioPassID/LICENSE.md" }

  # ――― Author Metadata  ――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.authors            = { "Mauricio Pereira" => "mauricio@yupistudios.com" }

  # ――― Platform Specifics ――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.platform     = :ios
  spec.ios.deployment_target = '14.0'

  # ――― Source Location ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.source       = { :git => "https://github.com/yupistudios/BioPassID.git", :tag => "#{spec.version}" }

  # ――― Source Code ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #

  spec.source_files  = "BioPassID", "BioPassID/**/*.{swift}"

  spec.framework = "AVFoundation"
  spec.framework = "Combine"
  spec.framework = "Foundation"
  spec.framework = "SwiftUI"
  spec.framework = "UIKit"

  spec.swift_version = "5.0"

end
