class ResultCheckICAOResponse {
  bool? isConformed;
  double? confidence;

  ResultCheckICAOResponse({
    this.isConformed,
    this.confidence,
  });

  factory ResultCheckICAOResponse.fromMap(Map<String, dynamic> map) {
    return ResultCheckICAOResponse(
      isConformed: map['isConformed'],
      confidence: map['confidence']?.toDouble(),
    );
  }

  @override
  String toString() =>
      'ResultCheckICAOResponse(isConformed: $isConformed, confidence: $confidence)';
}
